Vulnerability Name:

CVE-2009-0934

Assigned:2009-03-13
Published:2009-03-13
Updated:2017-08-16
Summary:Cross-site scripting (XSS) vulnerability in ejabberd before 2.0.4 allows remote attackers to inject arbitrary web script or HTML via unknown vectors related to links and MUC logs.
CVSS v3 Severity:5.3 Medium (CCN CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): None
Integrity (I): Low
Availibility (A): None
CVSS v2 Severity:4.3 Medium (CVSS v2 Vector: AV:N/AC:M/Au:N/C:N/I:P/A:N)
3.7 Low (Temporal CVSS v2 Vector: AV:N/AC:M/Au:N/C:N/I:P/A:N/E:H/RL:OF/RC:C)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Medium
Authentication (Au): None
Impact Metrics:Confidentiality (C): None
Integrity (I): Partial
Availibility (A): None
4.3 Medium (CCN CVSS v2 Vector: AV:N/AC:M/Au:N/C:N/I:P/A:N)
3.7 Low (CCN Temporal CVSS v2 Vector: AV:N/AC:M/Au:N/C:N/I:P/A:N/E:H/RL:OF/RC:C)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Medium
Athentication (Au): None
Impact Metrics:Confidentiality (C): None
Integrity (I): Partial
Availibility (A): None
Vulnerability Type:CWE-79
References:Source: DEBIAN
Type: UNKNOWN
DSA-1774

Source: MLIST
Type: UNKNOWN
[oss-security] 20090316 CVE request: XSS in MUC logs of ejabberd

Source: CONFIRM
Type: VENDOR_ADVISORY
http://www.process-one.net/en/ejabberd/release_notes/release_note_ejabberd_204

Source: BID
Type: UNKNOWN
34133

Source: XF
Type: UNKNOWN
ejabberd-chatroom-xss(49289)

Source: FEDORA
Type: UNKNOWN
FEDORA-2009-2747

Source: FEDORA
Type: UNKNOWN
FEDORA-2009-2746

Vulnerable Configuration:Configuration 1:
  • cpe:/a:process-one:ejabberd:1.1.2:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:0.9.8:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:1.0.0:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:0.9:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:0.9.1:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:1.1.1.0:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:1.1.1.1:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:1.1.0:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:1.1.1:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:2.0.2:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:2.0.1_2:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:2.0.0:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:1.1.14:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:1.1.3:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:2.0.3:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:2.0.0:rc1:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:2.0.0:beta1:*:*:*:*:*:*

  • Configuration CCN 1:
  • cpe:/a:process-one:ejabberd:2.0.4:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:1.1.2:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:0.9.8:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:1.0.0:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:0.9:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:0.9.1:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:1.1.1.0:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:1.1.1.1:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:1.1.0:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:1.1.1:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:2.0.2:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:2.0.1_2:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:2.0.0:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:1.1.14:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:1.1.3:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:2.0.3:*:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:2.0.0:rc1:*:*:*:*:*:*
  • OR cpe:/a:process-one:ejabberd:2.0.0:beta1:*:*:*:*:*:*
  • AND
  • cpe:/o:debian:debian_linux:5.0:*:*:*:*:*:*:*

  • * Denotes that component is vulnerable
    Oval Definitions
    Definition IDClassTitleLast Modified
    oval:org.mitre.oval:def:8184
    P
    DSA-1774 ejabberd -- insufficient input sanitising
    2014-06-23
    oval:org.mitre.oval:def:13304
    P
    DSA-1774-1 ejabberd -- insufficient input sanitising
    2014-06-23
    oval:org.debian:def:1774
    V
    insufficient input sanitising
    2009-04-17
    BACK
    process-one ejabberd 1.1.2
    process-one ejabberd 0.9.8
    process-one ejabberd 1.0.0
    process-one ejabberd 0.9
    process-one ejabberd 0.9.1
    process-one ejabberd 1.1.1.0
    process-one ejabberd 1.1.1.1
    process-one ejabberd 1.1.0
    process-one ejabberd 1.1.1
    process-one ejabberd 2.0.2
    process-one ejabberd 2.0.1_2
    process-one ejabberd 2.0.0
    process-one ejabberd 1.1.14
    process-one ejabberd 1.1.3
    process-one ejabberd 2.0.3
    process-one ejabberd 2.0.0 rc1
    process-one ejabberd 2.0.0 beta1
    process-one ejabberd 2.0.4
    process-one ejabberd 1.1.2
    process-one ejabberd 0.9.8
    process-one ejabberd 1.0.0
    process-one ejabberd 0.9
    process-one ejabberd 0.9.1
    process-one ejabberd 1.1.1.0
    process-one ejabberd 1.1.1.1
    process-one ejabberd 1.1.0
    process-one ejabberd 1.1.1
    process-one ejabberd 2.0.2
    process-one ejabberd 2.0.1_2
    process-one ejabberd 2.0.0
    process-one ejabberd 1.1.14
    process-one ejabberd 1.1.3
    process-one ejabberd 2.0.3
    process-one ejabberd 2.0.0 rc1
    process-one ejabberd 2.0.0 beta1
    debian debian linux 5.0